Bug 731214 - python-bugzilla search for cloned bugs gives xmlrpc/mysql error
Summary: python-bugzilla search for cloned bugs gives xmlrpc/mysql error
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Bugzilla
Classification: Community
Component: WebService
Version: 3.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: ---
Assignee: Jeff Fearn 🐞
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-17 01:02 UTC by Rich Megginson
Modified: 2012-06-21 06:54 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-21 06:54:12 UTC


Attachments (Terms of Use)
full error trace from script (2.95 KB, text/plain)
2011-08-17 01:02 UTC, Rich Megginson
no flags Details

Description Rich Megginson 2011-08-17 01:02:30 UTC
Created attachment 518582 [details]
full error trace from script

Description of problem:
I'm using python-bugzilla from EPEL 6 on RHEL 6.  I'm trying to do a search for all bugs that block a particular bug that have not been cloned.  So I first do a search like this to get the list of blocker bugs:

from bugzilla import Bugzilla

bzurl = 'https://bugzilla.redhat.com/xmlrpc.cgi'
bz = Bugzilla(url=bzurl)
query = {'blocked': bugnum}
bugs = bz.query(query)

Then, for each bug in bugs, I try to see if any other bug has it listed as a clone:
for bug in bugs:
    query = {'clone_of': bug.bug_id}
    bugs = bz.query(query)

at some point this fails with the attached error.  The salient error seems to be this:
DBD::mysql::st execute failed: Error writing file \'/var/tmp/mysql_tmpfs/MY2NFodz\' (Errcode: 28)

which seems to indicate not enough space on /var/tmp/mysql_tmpfs to write some file.

As you can see from the attachment, clone is not mentioned anywhere in the sql statement, and in general, the sql statement looks wrong.

If you could provide instructions about how I could use some sort of scripting interface to find out which bugs are clones of specified bugs, that would be great.

Comment 1 Jeff Fearn 🐞 2012-05-30 04:43:35 UTC
As part of the recent Bugzilla 4.2 upgrade the Bugzilla team are cleaning up bugs opened against old versions of Bugzilla. This bug has been flagged as an old bug and will be CLOSED WONTFIX in 7 days time.

If you believe this bug is an issue in the latest Bugzilla version please comment on this bug within 7 days. Doing so will ensure this bug is not closed automatically.

Thanks, the Bugzilla team.

Comment 2 Jeff Fearn 🐞 2012-05-30 04:44:17 UTC
As part of the recent Bugzilla 2.4 upgrade the Bugzilla team are cleaning up bugs opened against old versions of Bugzilla. This bug has been flagged as an old bug and will be CLOSED WONTFIX in 7 days time.

If you believe this bug is an issue in the latest Bugzilla version please comment on this bug within 7 days. Doing so will ensure this bug is not closed automatically.

Thanks, the Bugzilla team.

Comment 3 Jeff Fearn 🐞 2012-06-21 06:54:12 UTC
Closing inactive bugs are part of Bugzilla cleanup.


Note You need to log in before you can comment on or make changes to this bug.